<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.knowledge.mapper.KnowledgeVectorMapper">

    <resultMap type="org.dromara.knowledge.domain.KnowledgeVector" id="KnowledgeVectorResult">
        <result property="id" column="id"/>
        <result property="knowledgeId" column="knowledge_id"/>
        <result property="docId" column="doc_id"/>
        <result property="fragmentId" column="fragment_id"/>
        <result property="vectorId" column="vector_id"/>
        <result property="vectorData" column="vector_data"/>
        <result property="dimension" column="dimension"/>
        <result property="modelName" column="model_name"/>
        <result property="status" column="status"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>

    <sql id="selectKnowledgeVectorVo">
        select id,
               knowledge_id,
               doc_id,
               fragment_id,
               vector_id,
               vector_data,
               dimension,
               model_name,
               status,
               create_by,
               create_time,
               update_by,
               update_time,
               remark
        from knowledge_vector
    </sql>

</mapper>